Bug 213045 - X loops after firstboot -- Lost VT_WAITACTIVE race, retrying
X loops after firstboot -- Lost VT_WAITACTIVE race, retrying
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 12:45 EST by Gene Czarcinski
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log file from VMWare guest (2.65 KB, application/octet-stream)
2006-10-30 12:45 EST, Gene Czarcinski
no flags Details
X log file from i386 install on Opteron (2.69 KB, text/plain)
2006-10-30 12:46 EST, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2006-10-30 12:45:46 EST
Description of problem:

This is probably not really firstboot but after firstboot execution is the only
time it occurs.

This problem has happened on a number of systems (all with ATI video cards) as
well as when running as a VMWare guest.

What happens is that (gdm?) X startup is in a loop which requires a hardware
reset and reboot to get out of.  This ONLY occurs if "rhgb" is NOT run.

That is, after installation, if the bootup runs rhgb and then firstboot, gdm
comes up as expected.

However, if the grub bootup is modified to NOT run rhgb, the after firstboot
finishes, gdm gets in a loop.  The text in a typical logfile is:

(++) using VT number 7

(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying
(WW) Lost VT_WAITACTIVE race, retrying

Attached is a logfile from a vmware guest (x86_64) and a real hardware Opteron
system (i386).
Comment 1 Gene Czarcinski 2006-10-30 12:45:46 EST
Created attachment 139733 [details]
X log file from VMWare guest
Comment 2 Gene Czarcinski 2006-10-30 12:46:50 EST
Created attachment 139734 [details]
X log file from i386 install on Opteron
Comment 3 Gene Czarcinski 2006-10-30 12:48:30 EST
BTW, when the X loop occurs, everything works fine after a reboot.
Comment 4 Andre Robatino 2006-10-30 13:03:41 EST
  Is this the one where you get a black screen and a cursor that alternates
between visible and invisible with a period of a few seconds?  I've had that
happen on a clean install on two machines under the same conditions (rhgb
removed from grub.conf).
Comment 5 Gene Czarcinski 2006-10-30 13:12:40 EST
yes ... but only after firstboot.  Thereafter, rhgb or no rhgb everything works
fine.
Comment 7 Chris Lumens 2006-12-13 17:01:12 EST
Yeah, process management in firstboot was pretty crappy.  I've made some
modifications to rawhide and will rebuild the package in the next couple days. 
Please test with the next build and let me know if this is working better for you.

Note You need to log in before you can comment on or make changes to this bug.